## org.eclipse.emf.compare.ui.viewer.content
Class ModelContentPreviewViewer

    java.lang.Object
      org.eclipse.emf.compare.ui.viewer.content.ModelContentPreviewViewer

All Implemented Interfaces:
  org.eclipse.ltk.ui.refactoring.IChangePreviewViewer

    public class ModelContentPreviewViewer

extends java.lang.Object
implements org.eclipse.ltk.ui.refactoring.IChangePreviewViewer

This PreviewVierwer integrates itself into the LTK and thereby makes the `ModelContentMergeViewer` available to visualize diffs within the LTK's refactoring wizard.

Constructor Summary
`ModelContentPreviewViewer()`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Control` `getControl()`
`void` `setInput(org.eclipse.ltk.ui.refactoring.ChangePreviewViewerInput in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelContentPreviewViewer

    public ModelContentPreviewViewer()

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.ltk.ui.refactoring.IChangePreviewViewer`
  See Also:
    `IChangePreviewViewer.createControl(org.eclipse.swt.widgets.Composite)`

### getControl

    public org.eclipse.swt.widgets.Control getControl()

  Specified by:
    `getControl` in interface `org.eclipse.ltk.ui.refactoring.IChangePreviewViewer`
  See Also:
    `IChangePreviewViewer.getControl()`

### setInput

    public void setInput(org.eclipse.ltk.ui.refactoring.ChangePreviewViewerInput in)

  Specified by:
    `setInput` in interface `org.eclipse.ltk.ui.refactoring.IChangePreviewViewer`
  See Also:
    `IChangePreviewViewer.setInput(org.eclipse.ltk.ui.refactoring.ChangePreviewViewerInput)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.